searchNodes=[{"doc":"This is the main module in the tangram package.","ref":"Tangram.html","title":"Tangram","type":"module"},{"doc":"Add a prediction event to the queue. Remember to call Tangram.flush_log_queue at a later point to send the event to the app.","ref":"Tangram.html#enqueue_log_prediction/2","title":"Tangram.enqueue_log_prediction/2","type":"function"},{"doc":"Add a true value event to the queue. Remember to call Tangram.flush_log_queue at a later point to send the event to the app.","ref":"Tangram.html#enqueue_log_true_value/2","title":"Tangram.enqueue_log_true_value/2","type":"function"},{"doc":"Send all events in the queue to the app.","ref":"Tangram.html#flush_log_queue/1","title":"Tangram.flush_log_queue/1","type":"function"},{"doc":"","ref":"Tangram.html#init/0","title":"Tangram.init/0","type":"function"},{"doc":"Load a model from a binary instead of a file. You should use this only if you already have a .tangram loaded into memory. Otherwise, use Tangram.load_model_from_path, which is faster because it memory maps the file.","ref":"Tangram.html#load_model_from_binary/2","title":"Tangram.load_model_from_binary/2","type":"function"},{"doc":"Load a model from a .tangram file at path.","ref":"Tangram.html#load_model_from_path/2","title":"Tangram.load_model_from_path/2","type":"function"},{"doc":"Send a prediction event to the app. If you want to batch events, you can use Tangram.enqueue_log_prediction instead.","ref":"Tangram.html#log_prediction/2","title":"Tangram.log_prediction/2","type":"function"},{"doc":"Send a true value event to the app. If you want to batch events, you can use Tangram.enqueue_log_true_value instead.","ref":"Tangram.html#log_true_value/2","title":"Tangram.log_true_value/2","type":"function"},{"doc":"Retrieve the model's id.","ref":"Tangram.html#model_id/1","title":"Tangram.model_id/1","type":"function"},{"doc":"Make a prediction!","ref":"Tangram.html#predict/3","title":"Tangram.predict/3","type":"function"},{"doc":"","ref":"Tangram.html#t:event/0","title":"Tangram.event/0","type":"type"},{"doc":"This identifies the type of a feature contribution.","ref":"Tangram.html#t:feature_contribution_entry/0","title":"Tangram.feature_contribution_entry/0","type":"type"},{"doc":"This is the input type of Tangram.predict. A predict input is a map from atoms or strings to strings or floats. The keys should match the columns in the CSV file you trained your model with.","ref":"Tangram.html#t:predict_input/0","title":"Tangram.predict_input/0","type":"type"},{"doc":"This is the return type of Tangram.predict.","ref":"Tangram.html#t:predict_output/0","title":"Tangram.predict_output/0","type":"type"},{"doc":"","ref":"Tangram.html#t:true_value/0","title":"Tangram.true_value/0","type":"type"},{"doc":"This describes the contribution of a feature from a bag of words cosine similarity feature group.column_name_aThis is the name of the source column a for the bag of words cosine similarity feature group.column_name_bThis is the name of the source column b for the bag of words cosine similarity feature group.feature_valueThis is the value of the feature.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.BagOfWordsCosineSimilarityFeatureContribution.html","title":"Tangram.BagOfWordsCosineSimilarityFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.BagOfWordsCosineSimilarityFeatureContribution.html#t:ngram/0","title":"Tangram.BagOfWordsCosineSimilarityFeatureContribution.ngram/0","type":"type"},{"doc":"","ref":"Tangram.BagOfWordsCosineSimilarityFeatureContribution.html#t:t/0","title":"Tangram.BagOfWordsCosineSimilarityFeatureContribution.t/0","type":"type"},{"doc":"This describes the contribution of a feature from a bag of words feature group.column_nameThis is the name of the source column for the bag of words feature group.ngramThis is the ngram for the feature.feature_valueThis is the value of the feature.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.BagOfWordsFeatureContribution.html","title":"Tangram.BagOfWordsFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.BagOfWordsFeatureContribution.html#t:ngram/0","title":"Tangram.BagOfWordsFeatureContribution.ngram/0","type":"type"},{"doc":"","ref":"Tangram.BagOfWordsFeatureContribution.html#t:t/0","title":"Tangram.BagOfWordsFeatureContribution.t/0","type":"type"},{"doc":"Tangram.predict outputs {:binary_classification, BinaryClassificationPredictOutput.t()} when the model's task is binary classification.class_nameThis is the name of the predicted class.probabilityThis is the probability the model assigned to the predicted class.feature_contributionsIf computing feature contributions was enabled in the predict options, this value will explain the model's output, showing how much each feature contributed to the output.","ref":"Tangram.BinaryClassificationPredictOutput.html","title":"Tangram.BinaryClassificationPredictOutput","type":"module"},{"doc":"","ref":"Tangram.BinaryClassificationPredictOutput.html#t:t/0","title":"Tangram.BinaryClassificationPredictOutput.t/0","type":"type"},{"doc":"This is a description of the feature contributions for the prediction if the task is regression or binary classification, or for a single class if the task is multiclass classification.baseline_valueThis is the value the model would output if all features had baseline values.output_valueThis is the value the model output. Any difference from the baseline_value is because of the deviation of the features from their baseline values.entriesThis list will contain one entry for each of the model's features. Note that features are computed from columns, so there will likely be more features than columns.","ref":"Tangram.FeatureContributions.html","title":"Tangram.FeatureContributions","type":"module"},{"doc":"","ref":"Tangram.FeatureContributions.html#t:t/0","title":"Tangram.FeatureContributions.t/0","type":"type"},{"doc":"This describes the contribution of a feature from an identity feature group.column_nameThis is the name of the source column for the identity feature group.feature_valueThis is the value of the feature.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.IdentityFeatureContribution.html","title":"Tangram.IdentityFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.IdentityFeatureContribution.html#t:t/0","title":"Tangram.IdentityFeatureContribution.t/0","type":"type"},{"doc":"These are the options passed when loading a model.tangram_urlIf you are running the app locally or on your own server, use this field to provide the url to it. If not specified, the default value is https://app.tangram.xyz.","ref":"Tangram.LoadModelOptions.html","title":"Tangram.LoadModelOptions","type":"module"},{"doc":"","ref":"Tangram.LoadModelOptions.html#t:t/0","title":"Tangram.LoadModelOptions.t/0","type":"type"},{"doc":"This is the type of the argument to Tangram.log_prediction and Tangram.enqueue_log_prediction which specifies the details of the prediction to log.identifierThis is a unique identifier for the prediction, which will associate it with a true value event and allow you to look it up in the app.inputThis is the same Tangram.predict_input value that you passed to Tangram.predict.optionsThis is the same Tangram.PredictOptions value that you passed to Tangram.predict.outputThis is the output returned by Tangram.predict.","ref":"Tangram.LogPredictionArgs.html","title":"Tangram.LogPredictionArgs","type":"module"},{"doc":"","ref":"Tangram.LogPredictionArgs.html#t:t/0","title":"Tangram.LogPredictionArgs.t/0","type":"type"},{"doc":"This is the type of the argument to Tangram.log_true_value and Tangram.enqueue_log_true_value which specifies the details of the true value to log.identifierThis is a unique identifier for the prediction, which will associate it with a true value event and allow you to look it up in the app.true_valueThis is the true value for the prediction.","ref":"Tangram.LogTrueValueArgs.html","title":"Tangram.LogTrueValueArgs","type":"module"},{"doc":"","ref":"Tangram.LogTrueValueArgs.html#t:t/0","title":"Tangram.LogTrueValueArgs.t/0","type":"type"},{"doc":"Use this struct to load a model, make predictions, and log events to the app.","ref":"Tangram.Model.html","title":"Tangram.Model","type":"module"},{"doc":"","ref":"Tangram.Model.html#t:t/0","title":"Tangram.Model.t/0","type":"type"},{"doc":"Tangram.predict outputs {:multiclass_classification, MulticlassClassificationPredictOutput.t()} when the model's task is multiclass classification.class_nameThis is the name of the predicted class.probabilityThis is the probability the model assigned to the predicted class.probabilitiesThis value maps from class names to the probability the model assigned to each class.feature_contributionsIf computing feature contributions was enabled in the predict options, this value will explain the model's output, showing how much each feature contributed to the output. This value maps from class names to FeatureContributions values for each class. The class with the FeatureContributions value with the highest output_value is the predicted class.","ref":"Tangram.MulticlassClassificationPredictOutput.html","title":"Tangram.MulticlassClassificationPredictOutput","type":"module"},{"doc":"","ref":"Tangram.MulticlassClassificationPredictOutput.html#t:t/0","title":"Tangram.MulticlassClassificationPredictOutput.t/0","type":"type"},{"doc":"This describes the contribution of a feature from a normalized feature group.column_nameThis is the name of the source column for the normalized feature group.feature_valueThis is the value of the feature.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.NormalizedFeatureContribution.html","title":"Tangram.NormalizedFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.NormalizedFeatureContribution.html#t:t/0","title":"Tangram.NormalizedFeatureContribution.t/0","type":"type"},{"doc":"This describes the contribution of a feature from a one hot encoded feature group.column_nameThis is the name of the source column for the one hot encoded feature group.variantThis is the enum variant the feature indicates the presence of.feature_valueThis is the value of the feature.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.OneHotEncodedFeatureContribution.html","title":"Tangram.OneHotEncodedFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.OneHotEncodedFeatureContribution.html#t:t/0","title":"Tangram.OneHotEncodedFeatureContribution.t/0","type":"type"},{"doc":"These are the options passed to Tangram.predict.thresholdIf your model is a binary classifier, use this field to make predictions using the threshold you chose on the tuning page of the app. The default value is 0.5.compute_feature_contributionsComputing feature contributions is disabled by default. If you set this field to true, you will be able to access the feature contributions with the feature_contributions field of the predict output.","ref":"Tangram.PredictOptions.html","title":"Tangram.PredictOptions","type":"module"},{"doc":"","ref":"Tangram.PredictOptions.html#t:t/0","title":"Tangram.PredictOptions.t/0","type":"type"},{"doc":"","ref":"Tangram.PredictionEvent.html","title":"Tangram.PredictionEvent","type":"module"},{"doc":"","ref":"Tangram.PredictionEvent.html#t:t/0","title":"Tangram.PredictionEvent.t/0","type":"type"},{"doc":"Tangram.predict outputs {:regression, RegressionPredictOutput.t()} when the model's task is regression.valueThis is the predicted value.feature_contributionsIf computing feature contributions was enabled in the predict options, this value will explain the model's output, showing how much each feature contributed to the output.","ref":"Tangram.RegressionPredictOutput.html","title":"Tangram.RegressionPredictOutput","type":"module"},{"doc":"","ref":"Tangram.RegressionPredictOutput.html#t:t/0","title":"Tangram.RegressionPredictOutput.t/0","type":"type"},{"doc":"","ref":"Tangram.TrueValueEvent.html","title":"Tangram.TrueValueEvent","type":"module"},{"doc":"","ref":"Tangram.TrueValueEvent.html#t:t/0","title":"Tangram.TrueValueEvent.t/0","type":"type"},{"doc":"This describes the contribution of a feature from a word embedding feature group.column_nameThis is the name of the source column for the word embedding feature group.value_indexThis is the index of the feature in the word embedding.feature_contribution_valueThis is the amount that the feature contributed to the output.","ref":"Tangram.WordEmbeddingFeatureContribution.html","title":"Tangram.WordEmbeddingFeatureContribution","type":"module"},{"doc":"","ref":"Tangram.WordEmbeddingFeatureContribution.html#t:t/0","title":"Tangram.WordEmbeddingFeatureContribution.t/0","type":"type"},{"doc":"Tangram for ElixirWatch the VideoRead the DocsThe Tangram Elixir package makes it easy to make predictions with your Tangram machine learning model from Elixir.","ref":"readme.html","title":"Tangram for Elixir","type":"extras"},{"doc":"Add the tangram package to your mix.exs.model = Tangram.load_model_from_path(&quot;heart_disease.tangram&quot;) input = %{ :age =&gt; 63.0, :gender =&gt; &quot;male&quot;, # ... } output = Tangram.predict(model, input)For more information, read the docs.","ref":"readme.html#usage","title":"Tangram for Elixir - Usage","type":"extras"},{"doc":"Tangram for Elixir is currently supported on Linux, macOS, and Windows with AMD64 CPUs. Are you interested in another platform? Open an issue or send us an email at help@tangram.xyz.","ref":"readme.html#platform-support","title":"Tangram for Elixir - Platform Support","type":"extras"},{"doc":"The source for this package contains two examples, examples/basic.exs and examples/advanced.exs.BasicThe basic example demonstrates loading a model from a .tangram file and making a prediction.To run the example:$ mix run examples/basic.exsAdvancedThe advanced example demonstrates logging predictions and true values to the Tangram app. Before running the example, run tangram app to start the app running locally, open http://localhost:8080 in your browser, and upload the file examples/heart_disease.tangram to it.To run the example:$ TANGRAM_URL=http://localhost:8080 mix run examples/advanced.exsNow if you refresh the production stats or production metrics tabs for the model you uploaded, you should see predictions and true values.For more information, read the docs.NotesOn Alpine Linux, Tangram for Elixir requires the libgcc library to be installed. It is not installed by default in the Alpine Linux docker image, but will very likely be a dependency of software you are already using. If not, you can run apk add libgcc to install it. We have opened this issue with Rust to hopefully eliminate this requirement in the future.","ref":"readme.html#examples","title":"Tangram for Elixir - Examples","type":"extras"}]